> ## Documentation Index
> Fetch the complete documentation index at: https://developers.malibou.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company

> Required scope: `org:company:read`



## OpenAPI

````yaml /api-reference/openapi/public-api-1.11.0-partners.json get /organizations/{organizationId}
openapi: 3.0.0
info:
  title: malibou public API
  version: 1.11.0
  description: >-
    ⚠️ These endpoints require an approved malibou partner integration — a
    self-serve API key cannot access them, regardless of the permissions it is
    granted. See the Partner-only scopes section of the Authentication guide.
servers:
  - url: https://app.malibou.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Organizations
    description: Organizations endpoints
    x-group: Organizations
  - name: Meal Vouchers
    description: Meal Vouchers endpoints
    x-group: Meal Vouchers
  - name: Complementary Contracts
    description: Complementary Contracts endpoints
    x-group: Complementary Contracts
  - name: Complementary Contracts Affiliations
    description: Complementary Contracts Affiliations endpoints
    x-group: Complementary Contracts Affiliations
paths:
  /organizations/{organizationId}:
    get:
      tags:
        - Organizations
      summary: Get company
      description: 'Required scope: `org:company:read`'
      operationId: getCompany
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
        - schema:
            type: string
          required: false
          name: establishmentId
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      identity:
                        type: object
                        properties:
                          siren:
                            type: string
                            nullable: true
                          legalForm:
                            type: string
                            nullable: true
                        required:
                          - siren
                          - legalForm
                      establishments:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                              nullable: true
                            siret:
                              type: string
                              nullable: true
                            isHeadOffice:
                              type: boolean
                            address:
                              type: object
                              properties:
                                street:
                                  type: string
                                  nullable: true
                                city:
                                  type: string
                                  nullable: true
                                zipCode:
                                  type: string
                                  nullable: true
                                country:
                                  type: string
                                  nullable: true
                                  enum:
                                    - af
                                    - al
                                    - dz
                                    - ad
                                    - ao
                                    - ag
                                    - ar
                                    - am
                                    - au
                                    - at
                                    - az
                                    - bs
                                    - bh
                                    - bd
                                    - bb
                                    - by
                                    - be
                                    - bz
                                    - bj
                                    - bt
                                    - bo
                                    - ba
                                    - bw
                                    - br
                                    - bn
                                    - bg
                                    - bf
                                    - bi
                                    - cv
                                    - kh
                                    - cm
                                    - ca
                                    - cf
                                    - td
                                    - cl
                                    - cn
                                    - co
                                    - km
                                    - cd
                                    - cg
                                    - cr
                                    - ci
                                    - hr
                                    - cu
                                    - cy
                                    - cz
                                    - dk
                                    - dj
                                    - dm
                                    - do
                                    - ec
                                    - eg
                                    - sv
                                    - gq
                                    - er
                                    - ee
                                    - sz
                                    - et
                                    - fj
                                    - fi
                                    - fr
                                    - ga
                                    - gm
                                    - ge
                                    - de
                                    - gh
                                    - gr
                                    - gd
                                    - gt
                                    - gn
                                    - gw
                                    - gy
                                    - ht
                                    - hn
                                    - hu
                                    - is
                                    - in
                                    - id
                                    - ir
                                    - iq
                                    - ie
                                    - il
                                    - it
                                    - jm
                                    - jp
                                    - jo
                                    - kz
                                    - ke
                                    - ki
                                    - kp
                                    - kr
                                    - kw
                                    - kg
                                    - la
                                    - lv
                                    - lb
                                    - ls
                                    - lr
                                    - ly
                                    - li
                                    - lt
                                    - lu
                                    - mg
                                    - mw
                                    - my
                                    - mv
                                    - ml
                                    - mt
                                    - mh
                                    - mr
                                    - mu
                                    - mx
                                    - fm
                                    - md
                                    - mc
                                    - mn
                                    - me
                                    - ma
                                    - mz
                                    - mm
                                    - na
                                    - nr
                                    - np
                                    - nl
                                    - nz
                                    - ni
                                    - ne
                                    - ng
                                    - mk
                                    - 'no'
                                    - om
                                    - pk
                                    - pw
                                    - pa
                                    - pg
                                    - py
                                    - pe
                                    - ph
                                    - pl
                                    - pt
                                    - qa
                                    - ro
                                    - ru
                                    - rw
                                    - kn
                                    - lc
                                    - vc
                                    - ws
                                    - sm
                                    - st
                                    - sa
                                    - sn
                                    - rs
                                    - sc
                                    - sl
                                    - sg
                                    - sk
                                    - si
                                    - sb
                                    - so
                                    - za
                                    - ss
                                    - es
                                    - lk
                                    - sd
                                    - sr
                                    - se
                                    - ch
                                    - sy
                                    - tj
                                    - tz
                                    - th
                                    - tl
                                    - tg
                                    - to
                                    - tt
                                    - tn
                                    - tr
                                    - tm
                                    - tv
                                    - tw
                                    - ug
                                    - ua
                                    - ae
                                    - gb
                                    - us
                                    - uy
                                    - uz
                                    - vu
                                    - ve
                                    - vn
                                    - ye
                                    - zm
                                    - zw
                                  description: >-
                                    Country code following the ISO 3166
                                    standard.
                              required:
                                - street
                                - city
                                - zipCode
                                - country
                          required:
                            - id
                            - name
                            - siret
                            - isHeadOffice
                            - address
                    required:
                      - id
                      - name
                      - identity
                      - establishments
                required:
                  - data
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````